Get data about the NGC external user group of the training event

View as Markdown
Get data about NGC external user group associated with the training. This will make an external API call to NGC to obtain this data. **Required roles (all):** `air_instructor`, `air_org_admin`, `user_admin` **Additional permissions:** - Only the instructor who created this training may perform this action. - The client must have the NCA 'Administrator' role set in the NCA account associated with the NGC Organization.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this training.

Response

userGroupIdstring
Unique identifier for the NGC external user group.
resourceGroupstring
Resource group name.
namestring
Name of the external user group.
descriptionstring
Description of the user group.
idpListLockedboolean
Whether the identity provider list is locked.
requireMatchingEmailboolean
Whether matching email is required.
isUserGroupAdminboolean
Whether the requester is a user group admin.
serviceRoleslist of strings
List of service roles for the group.
confirmedUserslist of objects
List of confirmed users in the group.
pendingInvitationslist of objects
List of pending invitations.
typestring
Type of the user group.
orgNamestringOptional
NGC organization name.
companyNamestringOptional
Company name.
groupContactEmailstringOptional
Contact email for the group.
permissionSetDescstringOptional
Description of the permission set.
startDatestringOptional
Start date of the user group.
endDatestringOptional
End date of the user group.

Errors

403
Forbidden Error
404
Not Found Error
500
Internal Server Error